## xf86-input-tslib 0.0.6

=== debian/changelog ===
xf86-input-tslib (0.0.6-2) unstable; urgency=low

  * Provide an udev rules file (Closes: #566849)
    Thanks to Gilles Filippini.
  * Switch to 3.0 (quilt) source format
    - remove README.source
  * debian/rules
    - remove "patch" target
  * debian/control and debian/xcontrol
    - drop Build-Depends: quilt
    - remove DM-Upload-Allowed flag since I am not an DM.
  * Update debian/copyright

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 26 Jan 2010 20:16:09 +0800

xf86-input-tslib (0.0.6-1) unstable; urgency=low

  * New upstream release
  * Document that "Device" may not be specified with hal (Closes: #523911)
  * Update to latest xsfbs
  * Add README.source
  * Bump Standards-Versions to 3.8.3
  * Sync debian/xcontrol with debian/control
  * Remove patches that were merged upstream:
    01_fix-wrong-value-range-for-the-axises.diff, 10_use-hal-for-device.diff,
    20_dynamic-xy.diff, 30_fix-button-release-events.diff,
    40_emulate-right-button.diff, 50_add-randr-support.diff,
    60_detect_xinput-abi.diff

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 20 Oct 2009 05:51:06 +0800

xf86-input-tslib (0.0.5-8) unstable; urgency=low

  * Remove "EnableRandr" option
    - update debian/patches/50_add-randr-support.diff to latest version
      on OpenWrt. Thanks to Lars-Peter Clausen <lars@metafoo.de>.
    - revert manpage to version 0.0.5-6.

 -- Wen-Yen Chuang <caleb@calno.com>  Mon, 13 Apr 2009 14:01:37 +0800

xf86-input-tslib (0.0.5-7) unstable; urgency=low

  * Support "EnableRandr" option in xorg.conf (Closes: #519556, #519840)
  * Bump Standards-Versions to 3.8.1

 -- Wen-Yen Chuang <caleb@calno.com>  Sun, 12 Apr 2009 17:11:29 +0800

xf86-input-tslib (0.0.5-6) unstable; urgency=low

  * Improve manpage. Thanks to Neil Williams.

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 10 Mar 2009 07:00:24 +0800

xf86-input-tslib (0.0.5-5) unstable; urgency=low

  * Support xrandr (Closes: #517131)
  * Update manpage
    - use "Device" instead of "TslibDevice" in xorg.conf (Closes: #517307)
    - suggest users to install hal, thus touchscreen will be auto-detected

 -- Wen-Yen Chuang <caleb@calno.com>  Mon,  8 Mar 2009 07:30:22 +0800

xf86-input-tslib (0.0.5-4) unstable; urgency=low

  * Upload to upstable
    0.0.5-3 has supported HAL (Closes: #511912)
  * Emulate right-click by a tap and hold gesture
    It can be configured via editing xorg.conf. Please see manpage.
    Thanks to Sebastian Ohl. (Closes: #495487)
  * Detect proper XINPUT ABI for latest Xorg. Thanks to Michael Frey.
    (Closes: #514084)
  * Update to latest xsfbs

 -- Wen-Yen Chuang <caleb@calno.com>  Mon, 23 Feb 2009 23:40:51 +0800

xf86-input-tslib (0.0.5-3) experimental; urgency=low

  * Downgrade Build-Depends to libts-dev (>= 1.0-4)
  * Update to latest xsfbs (http://git.debian.org/git/pkg-xorg/xsfbs.git)

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 23 Dec 2008 12:23:45 +0800

xf86-input-tslib (0.0.5-2) experimental; urgency=low

  * Build against libts-dev (>= 1.0-5)
  * Update to latest xsfbs
  * Fix button release events handling (Closes: #501139)
    Thanks to Mikko Rasa.
  * Support dynamic resolution, thanks to Graeme Gregory
  * Support automatic device detection, thanks to Markku Vire
    - add Recommends: hal
    - include 10-x11-input-tslib.fdi

 -- Wen-Yen Chuang <caleb@calno.com>  Mon, 15 Dec 2008 20:52:00 +0800

xf86-input-tslib (0.0.5-1) unstable; urgency=low

  * New upstream release
  * Add Homepage information
  * Update debian/watch for upstream's change
  * Remove debian/tslib.4 because it has been merged to upstream
  * Refresh debian/patches/01_fix-wrong-value-range-for-the-axises.diff

 -- Wen-Yen Chuang <caleb@calno.com>  Wed, 20 Aug 2008 08:53:51 +0800

xf86-input-tslib (0.0.4-7) unstable; urgency=low

  * Update debian/patches/01_fix-wrong-value-range-for-the-axises.diff
    with the rotatory fix provided by Timo Juhani Lindfors.

 -- Wen-Yen Chuang <caleb@calno.com>  Mon, 18 Aug 2008 07:09:41 +0800

xf86-input-tslib (0.0.4-6) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + depend on quilt to manage Debian patches.
  * debian/patches/series: new file.
  * debian/patches/01_fix-wrong-value-range-for-the-axises.diff:
    - use touchscreen width and height from the option instead of
      hardcoding it in the sources, thanks to Sascha Hauer
      <s.hauer@pengutronix.de> (Closes: #493942).
  * debian/rules:
    - adapt to quilt, using the debian/xsfbs/xsfbs.mk targets instead
      of the usual quilt ones.

  [ Wen-Yen Chuang ]
  * Bump Standards-Versions to 3.8.0

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 16 Aug 2008 22:47:45 +0800

xf86-input-tslib (0.0.4-5) unstable; urgency=low

  * Add Replaces: xf86-input-tslib to unbreak upgrades

 -- Wen-Yen Chuang <caleb@calno.com>  Sun, 17 Feb 2008 12:18:13 +0800

xf86-input-tslib (0.0.4-4) unstable; urgency=low

  * Rename the binary package to xserver-xorg-input-tslib (Closes: #465181)
  * Add a reference to the xf86-input-tslib module in the long description

 -- Wen-Yen Chuang <caleb@calno.com>  Sat, 16 Feb 2008 00:26:47 +0800

xf86-input-tslib (0.0.4-3) unstable; urgency=low

  * Add xsfclean in the clean target of debian/rules
  * Expand debian/copyright to machine-interpretable format and add missed
    information in directory m4
  * Add debian/xcontrol to ease cross building support

 -- Wen-Yen Chuang <caleb@calno.com>  Mon,  4 Feb 2008 09:17:07 +0800

xf86-input-tslib (0.0.4-2) unstable; urgency=low

  * Include xsfbs to process inputabiver and serverminver
  * Make Build-Depends on libts-dev (>= 1.0-4)
  * Use line breaks in Build-Depends

 -- Wen-Yen Chuang <caleb@calno.com>  Mon,  4 Feb 2008 04:30:27 +0800

xf86-input-tslib (0.0.4-1) unstable; urgency=low

  * Initial release (Closes: #463056)

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 29 Jan 2008 13:54:59 +0800
