=== debian/control ===
Source: xf86-input-tslib
Section: x11
Priority: optional
Maintainer: Wen-Yen Chuang <caleb@calno.com>
Build-Depends: debhelper (>= 5),
               xserver-xorg-dev (>= 2:1.4),
               pkg-config,
               libts-dev (>= 1.0-4)
Standards-Version: 3.8.3
Homepage: http://pengutronix.de/software/xf86-input-tslib/index_en.html

Package: xserver-xorg-input-tslib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
Recommends: hal
Provides: xf86-input-tslib, ${xinpdriver:Provides}
Replaces: xf86-input-tslib
Conflicts: xf86-input-tslib
Description: tslib touchscreen driver for X.Org/XFree86 server
 This X.Org/XFree86 driver provides support for touchscreens input devices.
 The driver is based on tslib which supports events for moving in absolute
 coordinates and relative coordinates.
 .
 This package is built from the xf86-input-tslib driver module.
