=== debian/watch ===
version=3
http://pengutronix.de/software/xf86-input-tslib/download/xf86-input-tslib-(.*)\.tar\.bz2
